VERSION 5.00
Object = "{FE0065C0-1B7B-11CF-9D53-00AA003C9CB6}#1.1#0"; "COMCT232.OCX"
Begin VB.Form EnergyForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Energy Management"
   ClientHeight    =   2130
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   6015
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2130
   ScaleWidth      =   6015
   ShowInTaskbar   =   0   'False
   Begin VB.Frame Frame1 
      Caption         =   "Incoming Energy"
      Height          =   1935
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   4215
      Begin VB.TextBox SunUpThreshold 
         Alignment       =   1  'Right Justify
         Height          =   285
         Left            =   2400
         TabIndex        =   10
         Text            =   "500000"
         ToolTipText     =   "Brings the sun up, overriding day/night cycles if the sim energy falls below this value."
         Top             =   1320
         Width           =   1395
      End
      Begin VB.TextBox SunDownThreshold 
         Alignment       =   1  'Right Justify
         Height          =   285
         Left            =   2400
         TabIndex        =   8
         Text            =   "1000000"
         ToolTipText     =   "Overrides day/night if configured and forces the sun down if the sim energy is above this value"
         Top             =   840
         Width           =   1380
      End
      Begin VB.TextBox DNLength 
         Alignment       =   1  'Right Justify
         Height          =   285
         Left            =   3000
         TabIndex        =   5
         Text            =   "1000000"
         ToolTipText     =   "Set the length of day and night in game cycles. The value entered here represents one full cycle of both."
         Top             =   360
         Width           =   780
      End
      Begin VB.CheckBox DNCheck 
         Caption         =   "Enable Day Cycles"
         Height          =   255
         Left            =   240
         TabIndex        =   4
         ToolTipText     =   "A cycle of light and darkness. Veggies are not fed or repopulated during night time."
         Top             =   360
         Width           =   1635
      End
      Begin VB.CheckBox SunUp 
         Caption         =   "Sun comes up if nrg <"
         Height          =   255
         Left            =   240
         TabIndex        =   3
         Top             =   1320
         Width           =   1935
      End
      Begin VB.CheckBox SunDown 
         Caption         =   "Sun goes down if nrg >"
         Height          =   255
         Left            =   240
         TabIndex        =   2
         Top             =   840
         Width           =   1935
      End
      Begin ComCtl2.UpDown DNCycleUpDn 
         Height          =   285
         Left            =   3840
         TabIndex        =   6
         ToolTipText     =   "Set the length of day and night in game cycles. The value entered here represents one full cycle of both."
         Top             =   360
         Width           =   255
         _ExtentX        =   450
         _ExtentY        =   503
         _Version        =   327681
         Value           =   100
         AutoBuddy       =   -1  'True
         BuddyControl    =   "DNLength"
         BuddyDispid     =   196612
         OrigLeft        =   3600
         OrigTop         =   360
         OrigRight       =   3855
         OrigBottom      =   645
         Increment       =   100
         Max             =   32000
         SyncBuddy       =   -1  'True
         BuddyProperty   =   0
         Enabled         =   -1  'True
      End
      Begin ComCtl2.UpDown SunDownUpDn 
         Height          =   285
         Left            =   3840
         TabIndex        =   9
         ToolTipText     =   "Set the length of day and night in game cycles. The value entered here represents one full cycle of both."
         Top             =   840
         Width           =   255
         _ExtentX        =   450
         _ExtentY        =   503
         _Version        =   327681
         Value           =   100
         AutoBuddy       =   -1  'True
         BuddyControl    =   "SunDownThreshold"
         BuddyDispid     =   196611
         OrigLeft        =   3600
         OrigTop         =   840
         OrigRight       =   3855
         OrigBottom      =   1125
         Increment       =   10000
         Max             =   10000000
         SyncBuddy       =   -1  'True
         BuddyProperty   =   0
         Enabled         =   -1  'True
      End
      Begin ComCtl2.UpDown SunUpUpDn 
         Height          =   285
         Left            =   3840
         TabIndex        =   11
         ToolTipText     =   "Set the length of day and night in game cycles. The value entered here represents one full cycle of both."
         Top             =   1320
         Width           =   255
         _ExtentX        =   450
         _ExtentY        =   503
         _Version        =   327681
         Value           =   100
         AutoBuddy       =   -1  'True
         BuddyControl    =   "SunUpThreshold"
         BuddyDispid     =   196610
         OrigLeft        =   3600
         OrigTop         =   1320
         OrigRight       =   3855
         OrigBottom      =   1605
         Increment       =   10000
         Max             =   100000000
         SyncBuddy       =   -1  'True
         BuddyProperty   =   0
         Enabled         =   -1  'True
      End
      Begin VB.Label Label40 
         Caption         =   "Period"
         Height          =   195
         Left            =   2400
         TabIndex        =   7
         ToolTipText     =   "Set the length of day and night in game cycles. The value entered here represents one full cycle of both."
         Top             =   360
         Width           =   555
      End
   End
   Begin VB.CommandButton OKButton 
      Caption         =   "OK"
      Height          =   375
      Left            =   4560
      TabIndex        =   0
      Top             =   960
      Width           =   1215
   End
End
Attribute VB_Name = "EnergyForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit


Private Sub DNCheck_Click()
  TmpOpts.DayNight = DNCheck.value * True
  DNLength.Enabled = DNCheck.value * True
  DNCycleUpDn.Enabled = DNCheck.value * True
End Sub

Private Sub DNLength_Change()
  If val(DNLength.text) > 32000 Then DNLength.text = 32000
  TmpOpts.CycleLength = val(DNLength.text)
End Sub

Private Sub Form_Load()
  DNLength.text = TmpOpts.CycleLength
  DNLength.Enabled = TmpOpts.DayNight * True
  DNCycleUpDn.Enabled = TmpOpts.DayNight * True
  DNCheck.value = TmpOpts.DayNight * True
  
  SunUpThreshold.text = TmpOpts.SunUpThreshold
  SunUpThreshold.Enabled = TmpOpts.SunUp * True
  SunUpUpDn.Enabled = TmpOpts.SunUp * True
  SunUp.value = TmpOpts.SunUp * True
  
  SunDownThreshold.text = TmpOpts.SunDownThreshold
  SunDownThreshold.Enabled = TmpOpts.SunDown * True
  SunDownUpDn.Enabled = TmpOpts.SunDown * True
  SunDown.value = TmpOpts.SunDown * True
End Sub

Private Sub OKButton_Click()
  Me.Hide
End Sub

Private Sub SunDown_Click()
  TmpOpts.SunDown = SunDown.value * True
  SunDownThreshold.Enabled = SunDown.value * True
  SunDownUpDn.Enabled = SunDown.value * True
End Sub


Private Sub SunDownThreshold_Change()
  TmpOpts.SunDownThreshold = val(SunDownThreshold.text)
End Sub

Private Sub SunUp_Click()
  TmpOpts.SunUp = SunUp.value * True
  SunUpThreshold.Enabled = SunUp.value * True
  SunUpUpDn.Enabled = SunUp.value * True
End Sub

Private Sub SunUpThreshold_Change()
  TmpOpts.SunUpThreshold = val(SunUpThreshold.text)
End Sub
